Vulnerabilità: CVE-2020-26296

Vega è una grammatica di visualizzazione, un formato dichiarativa per la creazione, il salvataggio e la condivisione disegni visualizzazione interattiva. Vega in un pacchetto NPM. In Vega prima della versione 5.17.3 v’è una vulnerabilità XSS nelle espressioni Vega. Attraverso un’espressione Vega appositamente predisposto, un utente malintenzionato di eseguire codice JavaScript arbitrario sulla macchina della vittima. Questo è stato risolto nella versione 5.17.3


https://github.com/vega/vega/security/advisories/GHSA-r2qc-w64x-6j54
https://github.com/vega/vega/security/advisories/GHSA-r2qc-w64x-6j54
https://github.com/vega/vega/issues/3018
https://github.com/vega/vega/issues/3018
https://github.com/vega/vega/pull/3019
https://github.com/vega/vega/pull/3019
https://github.com/vega/vega/releases/tag/v5.17.3
https://github.com/vega/vega/releases/tag/v5.17.3
https://www.npmjs.com/package/vega
https://www.npmjs.com/package/vega
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-26296


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi